Bug 55092 - Log message "WARN - jmeter.protocol.http.sampler.HTTPSamplerBase: Null URL detected (should not happen)" displayed when embedded resource URL is malformed
Log message "WARN - jmeter.protocol.http.sampler.HTTPSamplerBase: Null URL de...
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.9
All All
: P2 major (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-06-12 11:23 UTC by Mario
Modified: 2013-06-15 17:26 UTC (History)
1 user (show)



Attachments
thats a example page (28.17 KB, patch)
2013-06-15 13:11 UTC, Mario
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario 2013-06-12 11:23:53 UTC
Hello,

I just sending normal HTTP Requests and do get a lot of this warnings

WARN - jmeter.protocol.http.sampler.HTTPSamplerBase: Null URL detected (should not happen)

i was asking at stackoverflow for help, this guys was sending me to this bug site.

Are there any resolution? I ve disabled the WARN in log now but i do have just ERRORS and higher now but i would like to fix this issue please..

Greets,
Mario
Comment 1 Philippe Mouawad 2013-06-12 21:22:18 UTC
to help fix this issue we need a particular html page that generates the error, save it to a text file and attach it to issue.

Thank you
Comment 3 Sebb 2013-06-12 22:47:00 UTC
Also please specify which parser you are using.

This is defined in jmeter.properties and will be logged (info level) in jmeter.log.
Comment 4 Mario 2013-06-15 13:11:26 UTC
Created attachment 30433 [details]
thats a example page
Comment 5 Mario 2013-06-15 13:12:27 UTC
HTTPResponse.parsers=htmlParser wmlParser
Comment 6 Mario 2013-06-15 16:44:04 UTC
Comment on attachment 30433 [details]
thats a example page

>
>
><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
><html xmlns="http://www.w3.org/1999/xhtml">
><head id="Head1"><title>
>	
></title><link rel="shortcut icon" href="favicon.ico" type="image/x-icon" /><link rel="icon" href="favicon.ico" type="image/x-icon" /><script type="text/javascript" src="/page_build12082/Scripting/Scripts.ashx?s=0,1,2"></script><link href="/page_build12082/Scripting/Stylesheets.ashx?s=1,0" rel="stylesheet" type="text/css" /></head>
><body>
>    <form name="form1" method="post" action="Login.aspx" id="form1">
><div>
><input type="hidden" name="__PASSWORDHASH" id="__PASSWORDHASH" value="85CFFA37F2C547B4E1DE593E1238FA4D9ADACD46FDBC3767E4047F7EA180B1A5B55B80297DE1252635A28C31C7C8AE5D88BE" />
><input type="hidden" name="__EVENTTARGET" id="__EVENTTARGET" value="" />
><input type="hidden" name="__EVENTARGUMENT" id="__EVENTARGUMENT" value="" />
><input type="hidden" name="__VIEWSTATE" id="__VIEWSTATE" value="kb4J+mCO5gQOTtTO8WxVRtLoWh9hWtzOjGKUBj3LE+CbTaJpJIoaahJg3zIXK/D2hPRAaie6oPBqTfmUh15uk4I0kBlVXdquNVEBGD33ruYuVB00fFHhXUufSiW91R1SfymiotqefeQrNlkwN2kw602T14bBrrk/2EaGxGhInkUjQ9+B21YeH9qy+1hY7AVgv4pPDydWt4n8jJdD8Ius5GeO7TwvQ85VzInxM/briKa8GS5edlG1Q7R4lZrQ2e2TwHVm9InoeccD2WzJnZoIWJf8M3wSUoQQQJTmjysiFNPuKPqOfDYtWYSZuGk2RHQCGvD6Q3ElYk0SRcyUxh3KilZWOV8bnHq5i6FFnPGvX5rw+1DbOlck3Td/ZE1mLUeNiMlkpN5VC43UoqVKWfWJaPjifiw=" />
></div>
>
><script type="text/javascript">
>//<![CDATA[
>var theForm = document.forms['form1'];
>if (!theForm) {
>    theForm = document.form1;
>}
>function __doPostBack(eventTarget, eventArgument) {
>    if (!theForm.onsubmit || (theForm.onsubmit() != false)) {
>        theForm.__EVENTTARGET.value = eventTarget;
>        theForm.__EVENTARGUMENT.value = eventArgument;
>        theForm.submit();
>    }
>}
>//]]>
></script>
>
>
><script src="/page_build12082/ComponentArtScript.axd?f=u1,u2,u3,u4,u5,u6,c1,c2,cb1,cmb1,cmb2,cmb3,cp1,d1,d2,e1,e2,e3,e4,g1,g2,g3,g4,g5,ni1,ni2,mi1,mi2,mi3,m1,m2,m3,mp1,n1,n2,n3,r1,r2,sch1,sch2,sch3,s1,s2,s3,s4,s5,s6,s7,sl1,sp1,sc1,ts1,ts2,ts3,tb1,tb2,tb3,tv1,tv2,tv3,up1&amp;v=2010_1_2277_35" type="text/javascript"></script>
><div>
>
>	<input type="hidden" name="__VIEWSTATEENCRYPTED" id="__VIEWSTATEENCRYPTED" value="" />
>	<input type="hidden" name="__EVENTVALIDATION" id="__EVENTVALIDATION" value="R0pJCMQc86TcKmVvRsMjVoLMvOhYfk6S1mgmxmKvhTItYa9ta+7ow91IC/n6ijkxzO4Vig3PeIZNu7a0UxVaUr4V31ld0sTX821Mv5hXIN7WdHdS" />
></div>
>
>        <div id="log_container" class="container">
>            <h1 id="login"> &nbsp;</h1>
>            <table id="logtable">
>                <tr>
>                    <td align="right">
>                        <br />
>                        <table cellspacing="0" cellpadding="0" style="height: 168px; width: 617px">
>                            <tr>
>                                <td colspan="2">
>                                    <div id="frame">
>                                        <table id="authtable" align="center">
>                                            <tr>
>                                                <td id="tdLogo" class="fontNormal" rowspan="4" valign="middle">
>                                                </td>
>
>                                                <td colspan="3" class="style1">
>                                                    <br />
>                                                    Login<br />
>                                                    <br />
>                                                </td>
>                                            </tr>
>                                            <tr class="fontNormal">
>                                                <td rowspan="2">
>                                                    <img alt="" src="images/icons/survey.gif" style="width: 43px; height: 43px" />
>                                                </td>
>                                                <td style="width: 43%">
>                                                    User
>                                                    <br />
>                                                </td>
>                                                <td style="width: 43%">
>                                                    <input name="txtUser" type="text" id="txtUser" />
>                                                </td>
>                                            </tr>
>                                            <tr class="fontNormal">
>                                                <td>
>                                                    Password
>                                                </td>
>                                                <td>
>                                                    <input name="txtPassword" type="password" id="txtPassword" autocomplete="off" />
>                                                </td>
>                                            </tr>
>                                            <tr class="fontNormal">
>                                                <td colspan="2">
>                                                </td>
>                                                <td>
>                                                    <div style="text-align: left; margin-top: 5px;">
>                                                        
>                                                        <div id="btnSubmit_container" class="HtmlButtonContainerClass" onclick="var btnSubmitClientValidationVariable = function() {}(); if(btnSubmitClientValidationVariable === false) return false; __doPostBack('btnSubmit','btnSubmit')">
>    <table class="HtmlButtonContentTableClass" cellpadding="0" cellspacing="0">
>        <tr>
>            <td id="btnSubmit_leftPart" class="HtmlButtonLeftCornerPartClass">
>                <div class="HtmlButtonCornerContentPlaceholderClass"></div>
>            </td>
>
>            <td id="btnSubmit_middlePart" class="HtmlButtonsMiddlePartClass">Login</td>
>
>            <td id="btnSubmit_rightPart" class="HtmlButtonRightCornerPartClass">
>                <div class="HtmlButtonCornerContentPlaceholderClass"></div>
>            </td>
>
>        </tr>
>    </table>
><script>
>                Element.observe(document, 'keypress', function (e) {
>                    var characterCode;
>                    if (e && e.which) {
>                        e = e;
>                        characterCode = e.which;
>                    } else {
>                        e = event;
>                        characterCode = e.keyCode;
>                    }
>
>                    if (characterCode === 13) {
>                        $('btnSubmit_container').onclick();
>                    }
>                });</script></div>
>
><link type="text/css" rel="stylesheet" href="/page_build12082/css/HtmlButton.css"></link>
>                                                        
>                                                    </div>
>                                                    <br />
>                                                </td>
>                                            </tr>
>                                        </table>
>                                    </div>
>                                </td>
>                            </tr>
>                            <tr>
>                                <td style="width:70%;height:25px">
>                                    
>                                </td>
>                            </tr>
>                            <tr class="alignrowleft">
>                                <td style="width:70%;height:20px">
>                                    <span class="loginSmallTextBold" style="margin-left:14px;" >Version 4.2</span>
>                                    
>                                </td>
>                                <td style="height:20px">
>                                </td>
>                            </tr>
>                        </table>
>                    </td>
>                </tr>
>            </table>
>        </div>
>
>        <div id="progress_container" style="display:none; font-family: Arial, Helvetica, sans-serif; font-size:14px; color:Black;">
>            page is loading
>            <br />
>            <img alt="loading" src="images/login_progress.gif" style="margin-top:3px" />
>        </div>
>
>        <div id="dlgOpenAG_PlaceHolder"></div><div id="dlgOpenAG" style="position:absolute;visibility:hidden;height:600px;width:800px;" class=""><div id="dlgOpenAG_HeaderSpan" class="popup_header">
>
>                <table width="100%">
>                    <tr>
>                        <td align="left">
>                            <span id="lblTitle" class="PopupTitleBar">Open Scorecard</span>
>                        </td>
>                    </tr>
>                </table>
>            
></div><div id="dlgOpenAG_InnerSpan">
><iframe id="dlgOpenAG_IFrame" class="iFrameCss" src="about:blank">
>
></iframe>
></div><div id="dlgOpenAG_FooterSpan" class="popup_footer">
>
></div></div><script type="text/javascript">
>//<![CDATA[
>/*** ComponentArt.Web.UI.Dialog 2010_1_2277_35 dlgOpenAG ***/
>function ComponentArt_Init_dlgOpenAG() {
>if(!window.ComponentArt_Dialog_Kernel_Loaded)
>	{setTimeout('ComponentArt_Init_dlgOpenAG()', 100); return; }
>
>window.dlgOpenAG = new ComponentArt_Dialog('dlgOpenAG');
>dlgOpenAG.ControlId = 'dlgOpenAG';
>var properties = [
>['ApplicationPath','/page_build12082'],['Alignment','MiddleCentre'],['OffsetX',0],['OffsetY',0],['MinimumHeight',400],['MinimumWidth',600],['Height','600px'],['Width','800px'],['X',0],['Y',0],['Modal',true],['FocusOnClick','false'],['ModalMaskImage','images/alpha.png'],['PreloadContentUrl',true],['AllowDrag',true],['AllowResize',false],['RenderOverWindowedObjects',false],['Content',null],['ShowTransition',0],['CloseTransition',0],['AlignmentElement',''],['AnimationDirectionElement','dlgOpenAG'],['AnimationSlide',3],['TransitionDuration',100],['AnimationDuration',0],['AnimationType','None'],['AnimationPath','Direct'],['Title',''],['Icon',''],['Value',''],['ClientTemplates',[]],['ModalMaskCssClass',''],['ModalScrollbarOffset',0],['FooterCssClass','popup_footer'],['HeaderCssClass','popup_header'],['ContentCssClass',''],['IFrameCssClass','iFrameCss'],['OutlineCssClass',''],['ContentUrl','about:blank'],['ClientEvents',{'OnClose':dlgOpenAG_close,'OnShow':correctRightMarginWhenPopup}]];
>ComponentArt_SetProperties(dlgOpenAG, properties);
>dlgOpenAG.Initialize();
>}
>if(!zTop || zTop > 70000) var zTop = 70000;
>ComponentArt_Init_dlgOpenAG();
>//]]>
></script>
>
>
>        <div id="dlgLicensingEntry_PlaceHolder"></div><div id="dlgLicensingEntry" style="position:absolute;visibility:hidden;height:600px;width:800px;" class=""><div id="dlgLicensingEntry_HeaderSpan" class="popup_header">
>
>                <table width="100%">
>                    <tr>
>                        <td align="left">
>                            <span id="lblLicensingEntryTitle" class="PopupTitleBar">Register</span>
>                        </td>
>                    </tr>
>                </table>
>            
></div><div id="dlgLicensingEntry_InnerSpan">
><iframe id="dlgLicensingEntry_IFrame" class="iFrameCss" src="about:blank">
>
></iframe>
></div><div id="dlgLicensingEntry_FooterSpan" class="popup_footer">
>
></div></div><script type="text/javascript">
>//<![CDATA[
>/*** ComponentArt.Web.UI.Dialog 2010_1_2277_35 dlgLicensingEntry ***/
>function ComponentArt_Init_dlgLicensingEntry() {
>if(!window.ComponentArt_Dialog_Kernel_Loaded)
>	{setTimeout('ComponentArt_Init_dlgLicensingEntry()', 100); return; }
>
>window.dlgLicensingEntry = new ComponentArt_Dialog('dlgLicensingEntry');
>dlgLicensingEntry.ControlId = 'dlgLicensingEntry';
>var properties = [
>['ApplicationPath','/page_build12082'],['Alignment','MiddleCentre'],['OffsetX',0],['OffsetY',0],['MinimumHeight',400],['MinimumWidth',600],['Height','600px'],['Width','800px'],['X',0],['Y',0],['Modal',true],['FocusOnClick','false'],['ModalMaskImage','images/alpha.png'],['PreloadContentUrl',true],['AllowDrag',true],['AllowResize',false],['RenderOverWindowedObjects',false],['Content',null],['ShowTransition',0],['CloseTransition',0],['AlignmentElement',''],['AnimationDirectionElement','dlgLicensingEntry'],['AnimationSlide',3],['TransitionDuration',100],['AnimationDuration',0],['AnimationType','None'],['AnimationPath','Direct'],['Title',''],['Icon',''],['Value',''],['ClientTemplates',[]],['ModalMaskCssClass',''],['ModalScrollbarOffset',0],['FooterCssClass','popup_footer'],['HeaderCssClass','popup_header'],['ContentCssClass',''],['IFrameCssClass','iFrameCss'],['OutlineCssClass',''],['ContentUrl','about:blank'],['ClientEvents',{'OnClose':dlgLicensingEntry_close,'OnShow':correctRightMarginWhenPopup}]];
>ComponentArt_SetProperties(dlgLicensingEntry, properties);
>dlgLicensingEntry.Initialize();
>}
>if(!zTop || zTop > 70000) var zTop = 70000;
>ComponentArt_Init_dlgLicensingEntry();
>//]]>
></script>
>
>    </form>
></body>
></html>
><script type="text/javascript">
>                getErrorDetail = function()
>                {
>                    if(typeof(dlgException.DetailMsg) != 'undefined' && dlgException.DetailMsg != null)
>                    {
>                        $('dlgException_msg').value = dlgException.DetailMsg;
>                        if(dlgException.DetailMsg == '') $('dlgException_msg').value = 'No error message available.';
>                        $('dlgException_form').submit();
>                    }
>                }</script><form method="post" action="/page_build12082/Utils/ErrorReport.ashx" id="dlgException_form"><input type='hidden' id='dlgException_msg' name='errorMsg' /></form><div id="dlgException_PlaceHolder"></div><div id="dlgException" style="position:absolute;visibility:hidden;height:151px;width:589px;" class=""><div id="dlgException_HeaderSpan" class="dialogHeaderCss">
>
></div><div id="dlgException_InnerSpan">
>
></div><div id="dlgException_FooterSpan">
>
></div></div><script type="text/javascript">
>//<![CDATA[
>/*** ComponentArt.Web.UI.Dialog 2010_1_2277_35 dlgException ***/
>function ComponentArt_Init_dlgException() {
>if(!window.ComponentArt_Dialog_Kernel_Loaded)
>	{setTimeout('ComponentArt_Init_dlgException()', 100); return; }
>
>window.dlgException = new ComponentArt_Dialog('dlgException');
>dlgException.ControlId = 'dlgException';
>var properties = [
>['ApplicationPath','/page_build12082'],['Alignment','MiddleCentre'],['OffsetX',0],['OffsetY',0],['MinimumHeight',100],['MinimumWidth',100],['Height','151px'],['Width','589px'],['X',0],['Y',0],['Modal',true],['FocusOnClick','false'],['ModalMaskImage','/page_build12082/images/alpha.png'],['PreloadContentUrl',true],['AllowDrag',true],['AllowResize',false],['RenderOverWindowedObjects',false],['HeaderClientTemplateId','dlgExceptionHeaderTemplate'],['ContentClientTemplateId','dlgExceptionContentTemplate'],['FooterClientTemplateId','dlgExceptionFooterTemplate'],['Content',null],['ShowTransition',3],['CloseTransition',0],['AlignmentElement',''],['AnimationDirectionElement','dlgException'],['AnimationSlide',2],['TransitionDuration',100],['AnimationDuration',600],['AnimationType','None'],['AnimationPath','Direct'],['Title','Error'],['Icon','x.gif'],['Value',''],['ClientTemplates',[['dlgExceptionHeaderTemplate','<table style="filter: alpha(opacity=60);" cellpadding="0" cellspacing="0" border="0"                                        width="589" height="35" onmousedown="dlgException.StartDrag(event);">                                        <tr>                                            <td width="9" height="35" style="background-image: url(/page_build12082/images/top-left.png);">                                            </td>                                            <td height="35" style="text-align:left; background-image: url(/page_build12082/images/top-mid.png); height: 35px !important;"                                                valign="middle" width="540">                                                <span style="color: White; font-size: 15px; font-family: Arial; font-weight: bold;">                                                    ## Parent.Title ##</span>                                            </td>                                            <td width="40" height="35" valign="top" style="background-image: url(/page_build12082/images/top-right.png);">                                                <img src="/page_build12082/images/close.png" style="cursor: default; padding-top: 4px;" width="32"                                                    height="25" style="margin-top: 4px;" onmousedown="this.src=\'/page_build12082/images/close-down.png\';"                                                    onmouseup="this.src=\'/page_build12082/images/close-hover.png\';" onclick="dlgException.Close();"                                                    onmouseover="this.src=\'/page_build12082/images/close-hover.png\';" onmouseout="this.src=\'/page_build12082/images/close.png\';" />                                                </td>                                            </tr>                                        </table>'],['dlgExceptionFooterTemplate','<table class="dlgTable" cellpadding="0" cellspacing="0" width="589" height="7" style="filter: alpha(opacity=60);">                                        <tr>                                            <td width="9" height="7">                                                <img style="display: block;" src="/page_build12082/images/bottom-left.png" />                                            </td>                                            <td style="background-image: url(/page_build12082/images/bottom-mid.png);" width="571">                                            </td>                                            <td width="9" height="7">                                                <img style="display: block;" src="/page_build12082/images/bottom-right.png" />                                            </td>                                        </tr>                                    </table>                                    '],['dlgExceptionContentTemplate','<table cellpadding="0" cellspacing="0" width="589" style="table-layout:fixed;">                                        <tr>                                            <td style="background-image: url(/page_build12082/images/left.png); filter: alpha(opacity=60);" width="7">                                        </td>                                        <td style="background-color: white; font-size: 12px; font-family: Arial;">                                            <table width="575" cellpadding="0" cellspacing="0" style="table-layout:fixed;">                                                <tr>                                                    <td valign="middle" style="padding: 10px; width: 30px;">                                                        <img src="/page_build12082/images/icons/## Parent.Icon ##" style="padding: 5px;" />                                                    </td>                                                    <td style="padding: 5px; color:black; font-weight: normal; vertical-align:middle;" align="left">                                                        <div style="max-height:100px; max-width:380px; overflow:auto; white-space: normal;">                                                             ## Parent.Value ##                                                        </div>                                                   </td>                                                </tr>                                                                                                <tr>                                                    <td colspan="2" style="background-image: url(/page_build12082/images/bottom_content.gif); height: 41px;                                                        padding-right: 10px;" align="right">                                                        <input type="button" onclick="getErrorDetail()" value="Save Log" />                                              <input type="button" onclick="dlgException.Close();" value="Close" />                                                    </td>                                                </tr>                                            </table>                                        </td>                                        <td style="background-image: url(/page_build12082/images/right.png); filter: alpha(opacity=60);" width="7">                                        </td>                                    </tr>                                </table>']]],['ModalMaskCssClass',''],['ModalScrollbarOffset',0],['FooterCssClass',''],['HeaderCssClass','dialogHeaderCss'],['ContentCssClass',''],['IFrameCssClass',''],['OutlineCssClass',''],['ContentUrl',''],['ClientEvents',{'OnShow':correctRightMarginWhenPopup,'OnClose':Tools.fixScrollInIE}]];
>ComponentArt_SetProperties(dlgException, properties);
>dlgException.Initialize();
>}
>if(!zTop || zTop > 70000) var zTop = 70000;
>ComponentArt_Init_dlgException();
>//]]>
></script>
><div id="dlgError_PlaceHolder"></div><div id="dlgError" style="position:absolute;visibility:hidden;height:151px;width:458px;" class=""><div id="dlgError_HeaderSpan" class="dialogHeaderCss">
>
></div><div id="dlgError_InnerSpan">
>
></div><div id="dlgError_FooterSpan">
>
></div></div><script type="text/javascript">
>//<![CDATA[
>/*** ComponentArt.Web.UI.Dialog 2010_1_2277_35 dlgError ***/
>function ComponentArt_Init_dlgError() {
>if(!window.ComponentArt_Dialog_Kernel_Loaded)
>	{setTimeout('ComponentArt_Init_dlgError()', 100); return; }
>
>window.dlgError = new ComponentArt_Dialog('dlgError');
>dlgError.ControlId = 'dlgError';
>var properties = [
>['ApplicationPath','/page_build12082'],['Alignment','MiddleCentre'],['OffsetX',0],['OffsetY',0],['MinimumHeight',100],['MinimumWidth',100],['Height','151px'],['Width','458px'],['X',0],['Y',0],['Modal',true],['FocusOnClick','false'],['ModalMaskImage','/page_build12082/images/alpha.png'],['PreloadContentUrl',true],['AllowDrag',true],['AllowResize',false],['RenderOverWindowedObjects',false],['HeaderClientTemplateId','dlgErrorHeaderTemplate'],['ContentClientTemplateId','dlgErrorContentTemplate'],['FooterClientTemplateId','dlgErrorFooterTemplate'],['Content',null],['ShowTransition',3],['CloseTransition',0],['AlignmentElement',''],['AnimationDirectionElement','dlgError'],['AnimationSlide',2],['TransitionDuration',100],['AnimationDuration',600],['AnimationType','None'],['AnimationPath','Direct'],['Title','Error'],['Icon','x.gif'],['Value',''],['ClientTemplates',[['dlgErrorHeaderTemplate','<table style="filter: alpha(opacity=60);" cellpadding="0" cellspacing="0" border="0"                                        width="458" height="35" onmousedown="dlgError.StartDrag(event);">                                        <tr>                                            <td width="9" height="35" style="background-image: url(/page_build12082/images/top-left.png);">                                            </td>                                            <td height="35" style="text-align:left; background-image: url(/page_build12082/images/top-mid.png); height: 35px !important;"                                                valign="middle" width="409">                                                <span style="color: White; font-size: 15px; font-family: Arial; font-weight: bold;">                                                    ## Parent.Title ##</span>                                            </td>                                            <td width="40" height="35" valign="top" style="background-image: url(/page_build12082/images/top-right.png);">                                                <img src="/page_build12082/images/close.png" style="cursor: default; padding-top: 4px;" width="32"                                                    height="25" style="margin-top: 4px;" onmousedown="this.src=\'/page_build12082/images/close-down.png\';"                                                    onmouseup="this.src=\'/page_build12082/images/close-hover.png\';" onclick="dlgError.Close();"                                                    onmouseover="this.src=\'/page_build12082/images/close-hover.png\';" onmouseout="this.src=\'/page_build12082/images/close.png\';" />                                                </td>                                            </tr>                                        </table>'],['dlgErrorFooterTemplate','<table class="dlgTable" cellpadding="0" cellspacing="0" width="458" height="7" style="filter: alpha(opacity=60);">                                        <tr>                                            <td width="9" height="7">                                                <img style="display: block;" src="/page_build12082/images/bottom-left.png" />                                            </td>                                            <td style="background-image: url(/page_build12082/images/bottom-mid.png);" width="440">                                            </td>                                            <td width="9" height="7">                                                <img style="display: block;" src="/page_build12082/images/bottom-right.png" />                                            </td>                                        </tr>                                    </table>                                    '],['dlgErrorContentTemplate','<table cellpadding="0" cellspacing="0" width="458" style="table-layout:fixed;">                                        <tr>                                            <td style="background-image: url(/page_build12082/images/left.png); filter: alpha(opacity=60);" width="7">                                        </td>                                        <td style="background-color: white; font-size: 12px; font-family: Arial;">                                            <table width="444" cellpadding="0" cellspacing="0" style="table-layout:fixed;">                                                <tr>                                                    <td valign="middle" style="padding: 10px; width: 30px;">                                                        <img src="/page_build12082/images/icons/## Parent.Icon ##" style="padding: 5px;" />                                                    </td>                                                    <td style="padding: 5px; color:black; font-weight: normal; vertical-align:middle;" align="left">                                                        <div style="max-height:100px; max-width:380px; overflow:auto; white-space: normal;">                                                             ## Parent.Value ##                                                        </div>                                                   </td>                                                </tr>                                                                                                <tr>                                                    <td colspan="2" style="background-image: url(/page_build12082/images/bottom_content.gif); height: 41px;                                                        padding-right: 10px;" align="right">                                                        <input type="button" onclick="dlgError.Close();" value="Close" />                                                    </td>                                                </tr>                                            </table>                                        </td>                                        <td style="background-image: url(/page_build12082/images/right.png); filter: alpha(opacity=60);" width="7">                                        </td>                                    </tr>                                </table>']]],['ModalMaskCssClass',''],['ModalScrollbarOffset',0],['FooterCssClass',''],['HeaderCssClass','dialogHeaderCss'],['ContentCssClass',''],['IFrameCssClass',''],['OutlineCssClass',''],['ContentUrl',''],['ClientEvents',{'OnShow':correctRightMarginWhenPopup,'OnClose':Tools.fixScrollInIE}]];
>ComponentArt_SetProperties(dlgError, properties);
>dlgError.Initialize();
>}
>if(!zTop || zTop > 70000) var zTop = 70000;
>ComponentArt_Init_dlgError();
>//]]>
></script>
Comment 7 Mario 2013-06-15 16:48:02 UTC
sorry cant redo
Comment 8 Philippe Mouawad 2013-06-15 17:08:43 UTC
Thanks for report and information.
Issue comes from urls about:blank in iframe.
Comment 9 Mario 2013-06-15 17:11:30 UTC
my pleasure, 
could anyone please remove my source code above
 
thanks
Comment 10 Philippe Mouawad 2013-06-15 17:26:18 UTC
Date: Sat Jun 15 17:21:30 2013
New Revision: 1493403

URL: http://svn.apache.org/r1493403
Log:
Bug 55092 - Log message "WARN - jmeter.protocol.http.sampler.HTTPSamplerBase: Null URL detected (should not happen)" displayed when embedded resource URL is malformed
Bugzilla Id: 55092

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/parser/URLCollection.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/parser/URLString.java
    jmeter/trunk/xdocs/changes.xml